---
search:
  tags:
    - Deals
    - PATCH
seo:
  description: >-
    Early access: request API access for your workspace at
    https://bauhow.com/support before… Reference for the PATCH /v1/deals/{id}
    endpoint in the Bauhow API.
sidebar:
  label: Update a deal
  badge: PATCH
title: Update a deal
type: openapi-operation
---
**Early access:** request API access for your workspace at https://bauhow.com/support before using this endpoint.

Moves stages, sets the status (won/lost), archives and links a project.

`PATCH /v1/deals/{id}`

**Request body** (`application/json`)

- `contactId` (string)
- `title` (string)
- `value` (number | null)
- `stageId` (string)
- `status` (string)
- `ownerId` (string | null)
- `projectTypeIds` (string[])
- `street` (string | null)
- `postalCode` (string | null)
- `city` (string | null)
- `notes` (string | null)
- `projectId` (string | null)
- `archived` (boolean)

Request body example:

```json
{
  "contactId": "string",
  "title": "string",
  "value": 0,
  "stageId": "string",
  "status": "open",
  "ownerId": "string",
  "projectTypeIds": [
    "string"
  ],
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "notes": "string",
  "projectId": "string",
  "archived": true
}
```

**Responses**

- `200` — OK

Response example, 200:

```json
{
  "id": "string",
  "contactId": "string",
  "title": "string",
  "value": 0,
  "stageId": "string",
  "stageEnteredAt": "2019-08-24T14:15:22Z",
  "status": "open",
  "ownerId": "string",
  "projectTypeIds": [
    "string"
  ],
  "street": "string",
  "postalCode": "string",
  "city": "string",
  "notes": "string",
  "projectId": "string",
  "closedAt": "2019-08-24T14:15:22Z",
  "archivedAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
